Show / Hide Table of Contents

Class CfnAgreementProps

Properties for defining a CfnAgreement.

Inheritance
object
CfnAgreementProps
Implements
ICfnAgreementProps
Inherited Members
object.GetType()
object.MemberwiseClone()
object.ToString()
object.Equals(object)
object.Equals(object, object)
object.ReferenceEquals(object, object)
object.GetHashCode()
Namespace: Amazon.CDK.AWS.Transfer
Assembly: Amazon.CDK.Lib.dll
Syntax (csharp)
public class CfnAgreementProps : ICfnAgreementProps
Syntax (vb)
Public Class CfnAgreementProps Implements ICfnAgreementProps
Remarks

See: http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-transfer-agreement.html

ExampleMetadata: fixture=_generated

Examples
// The code below shows an example of how to instantiate this type.
             // The values are placeholders you should change.
             using Amazon.CDK.AWS.Transfer;

             var cfnAgreementProps = new CfnAgreementProps {
                 AccessRole = "accessRole",
                 LocalProfileId = "localProfileId",
                 PartnerProfileId = "partnerProfileId",
                 ServerId = "serverId",

                 // the properties below are optional
                 BaseDirectory = "baseDirectory",
                 CustomDirectories = new CustomDirectoriesProperty {
                     FailedFilesDirectory = "failedFilesDirectory",
                     MdnFilesDirectory = "mdnFilesDirectory",
                     PayloadFilesDirectory = "payloadFilesDirectory",
                     StatusFilesDirectory = "statusFilesDirectory",
                     TemporaryFilesDirectory = "temporaryFilesDirectory"
                 },
                 Description = "description",
                 EnforceMessageSigning = "enforceMessageSigning",
                 PreserveFilename = "preserveFilename",
                 Status = "status",
                 Tags = new [] { new CfnTag {
                     Key = "key",
                     Value = "value"
                 } }
             };

Synopsis

Constructors

CfnAgreementProps()

Properties for defining a CfnAgreement.

Properties

AccessRole

Connectors are used to send files using either the AS2 or SFTP protocol.

BaseDirectory

The landing directory (folder) for files that are transferred by using the AS2 protocol.

CustomDirectories

A CustomDirectoriesType structure.

Description

The name or short description that's used to identify the agreement.

EnforceMessageSigning

Determines whether or not unsigned messages from your trading partners will be accepted.

LocalProfileId

A unique identifier for the AS2 local profile.

PartnerProfileId

A unique identifier for the partner profile used in the agreement.

PreserveFilename

Determines whether or not Transfer Family appends a unique string of characters to the end of the AS2 message payload filename when saving it.

ServerId

A system-assigned unique identifier for a server instance.

Status

The current status of the agreement, either ACTIVE or INACTIVE .

Tags

Key-value pairs that can be used to group and search for agreements.

Constructors

CfnAgreementProps()

Properties for defining a CfnAgreement.

public CfnAgreementProps()
Remarks

See: http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-transfer-agreement.html

ExampleMetadata: fixture=_generated

Examples
// The code below shows an example of how to instantiate this type.
             // The values are placeholders you should change.
             using Amazon.CDK.AWS.Transfer;

             var cfnAgreementProps = new CfnAgreementProps {
                 AccessRole = "accessRole",
                 LocalProfileId = "localProfileId",
                 PartnerProfileId = "partnerProfileId",
                 ServerId = "serverId",

                 // the properties below are optional
                 BaseDirectory = "baseDirectory",
                 CustomDirectories = new CustomDirectoriesProperty {
                     FailedFilesDirectory = "failedFilesDirectory",
                     MdnFilesDirectory = "mdnFilesDirectory",
                     PayloadFilesDirectory = "payloadFilesDirectory",
                     StatusFilesDirectory = "statusFilesDirectory",
                     TemporaryFilesDirectory = "temporaryFilesDirectory"
                 },
                 Description = "description",
                 EnforceMessageSigning = "enforceMessageSigning",
                 PreserveFilename = "preserveFilename",
                 Status = "status",
                 Tags = new [] { new CfnTag {
                     Key = "key",
                     Value = "value"
                 } }
             };

Properties

AccessRole

Connectors are used to send files using either the AS2 or SFTP protocol.

public string AccessRole { get; set; }
Property Value

string

Remarks

For the access role, provide the Amazon Resource Name (ARN) of the AWS Identity and Access Management role to use.

For AS2 connectors

With AS2, you can send files by calling StartFileTransfer and specifying the file paths in the request parameter, SendFilePaths . We use the file’s parent directory (for example, for --send-file-paths /bucket/dir/file.txt , parent directory is /bucket/dir/ ) to temporarily store a processed AS2 message file, store the MDN when we receive them from the partner, and write a final JSON file containing relevant metadata of the transmission. So, the AccessRole needs to provide read and write access to the parent directory of the file location used in the StartFileTransfer request. Additionally, you need to provide read and write access to the parent directory of the files that you intend to send with StartFileTransfer .

If you are using Basic authentication for your AS2 connector, the access role requires the secretsmanager:GetSecretValue permission for the secret. If the secret is encrypted using a customer-managed key instead of the AWS managed key in Secrets Manager, then the role also needs the kms:Decrypt permission for that key.

For SFTP connectors

Make sure that the access role provides read and write access to the parent directory of the file location that's used in the StartFileTransfer request. Additionally, make sure that the role provides secretsmanager:GetSecretValue permission to AWS Secrets Manager .

See: http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-transfer-agreement.html#cfn-transfer-agreement-accessrole

BaseDirectory

The landing directory (folder) for files that are transferred by using the AS2 protocol.

public string? BaseDirectory { get; set; }
Property Value

string

Remarks

See: http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-transfer-agreement.html#cfn-transfer-agreement-basedirectory

CustomDirectories

A CustomDirectoriesType structure.

public object? CustomDirectories { get; set; }
Property Value

object

Remarks

This structure specifies custom directories for storing various AS2 message files. You can specify directories for the following types of files.

    See: http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-transfer-agreement.html#cfn-transfer-agreement-customdirectories

    Type union: either IResolvable or CfnAgreement.ICustomDirectoriesProperty

    Description

    The name or short description that's used to identify the agreement.

    public string? Description { get; set; }
    Property Value

    string

    Remarks

    See: http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-transfer-agreement.html#cfn-transfer-agreement-description

    EnforceMessageSigning

    Determines whether or not unsigned messages from your trading partners will be accepted.

    public string? EnforceMessageSigning { get; set; }
    Property Value

    string

    Remarks

      See: http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-transfer-agreement.html#cfn-transfer-agreement-enforcemessagesigning

      LocalProfileId

      A unique identifier for the AS2 local profile.

      public string LocalProfileId { get; set; }
      Property Value

      string

      Remarks

      See: http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-transfer-agreement.html#cfn-transfer-agreement-localprofileid

      PartnerProfileId

      A unique identifier for the partner profile used in the agreement.

      public string PartnerProfileId { get; set; }
      Property Value

      string

      Remarks

      See: http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-transfer-agreement.html#cfn-transfer-agreement-partnerprofileid

      PreserveFilename

      Determines whether or not Transfer Family appends a unique string of characters to the end of the AS2 message payload filename when saving it.

      public string? PreserveFilename { get; set; }
      Property Value

      string

      Remarks

        See: http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-transfer-agreement.html#cfn-transfer-agreement-preservefilename

        ServerId

        A system-assigned unique identifier for a server instance.

        public string ServerId { get; set; }
        Property Value

        string

        Remarks

        This identifier indicates the specific server that the agreement uses.

        See: http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-transfer-agreement.html#cfn-transfer-agreement-serverid

        Status

        The current status of the agreement, either ACTIVE or INACTIVE .

        public string? Status { get; set; }
        Property Value

        string

        Remarks

        See: http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-transfer-agreement.html#cfn-transfer-agreement-status

        Tags

        Key-value pairs that can be used to group and search for agreements.

        public ICfnTag[]? Tags { get; set; }
        Property Value

        ICfnTag[]

        Remarks

        See: http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-transfer-agreement.html#cfn-transfer-agreement-tags

        Implements

        ICfnAgreementProps
        Back to top Generated by DocFX